-- G P S  script for Rising World
-- Displays world position and heading of the player according to common navigation practices
--
-- messages.lua: textual messages, separated for easier translation
--
-- (C) Maurizio M. Gavioli (a.k.a. Miwarre), 2016
-- Licensed under the Creative Commons by-sa 3.0 license (see http://creativecommons.org/licenses/by-sa/3.0/ for details)

-- Error messages
err_gspInvalidCmd		= "Invalid GPS command: '"
err_noTpToWp			= "GPS got: teleport to waypoints is disabled"
err_setWpDuplIdx		= "GPS setwp: duplicate index"
err_setWpDuplName		= "GPS setwp: duplicate name"
err_setWpInvalidIndex	= "GPS setwp: waypoint index must be an integer between 1 and 9"
err_showWpInvalidIndex	= "GPS goto/wp: waypoint index must be an integer between 0 and 9"
err_showWpUndefinedWp	= "GPS goto/wp: waypoint %d is undefined"

-- Info messages
msg_init		= "GPS loaded successfully! (version "..gpsVersion..")"
msg_homeSet		= "GPS: Home point set."
msg_wpList		= "GPS defined waypoints:"
msg_wpSet		= "GPS: Waypoint %d '%s' set."

-- Various texts
txt_homeName	= "Home"
txt_help		= { "[#00ff40]GPS Help",
		"[#00ff40]/gps [#ffffff]toggles whole GPS display on/off",
		"[#00ff40]/gps on [#ffffff]turns whole GPS display on",
		"[#00ff40]/gps off [#ffffff]turns whole GPS display off",
		"[#00ff40]/gps sethome [#ffffff]set home position to current position",
		"[#00ff40]/gps showhome [#ffffff]toggles home data display on/off",
		"[#00ff40]/gps setwp [n] [name] [#ffffff]sets n-th wpt with name 'name'",
		"[#00ff40]/gps showwp <n> [#ffffff]turns wpt display on (n=0 to turn off)",
		"[#00ff40]/gps list [#ffffff]lists defined waypoints (incl. home)",
		"[#00ff40]/gps home [#ffffff]teleports to home (if defined)",
		"[#00ff40]/home [#ffffff]same of '/gps home' (for compatibility)",
		"[#00ff40]/sethome [#ffffff]same as '/gps sethome' (for compatiblity)",
		}
